Curve.GetClosestPointTo Method (Point3d, [MarshalAs(UnmanagedType.U1)] bool)
This function projects the curve onto the plane defined by givenPoint. Returns the point (in WCS coordinates) on the curve that is nearest to givenPoint.
1、var pt2 = line.GetClosestPointTo(pt1, true);
pt2就是垂足了
2、求直线与圆的交点
Entity.IntersectWith Method (Entity, Autodesk.AutoCAD.DatabaseServices.Intersect, Point3dCollection, int, int)
Entity entityPointer Input entity with which "this" entity is to intersect
Autodesk.AutoCAD.DatabaseServices.Intersect intersectType Input type of intersection requested
Point3dCollection points Output with the points of intersection appended
int thisGraphicSystemMarker Input GS marker of subentity of "this" entity that's involved in the intersection operation. Use the 0 default if not applicable.
int otherGraphicSystemMarker Input GS marker of subentity of the entity pointed to by entityPointer that's involved in the intersection operation. Use the 0 default if not applicable.
3、这个可能要自己计算了